LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XDataPilotFieldGrouping Interface Referencepublished

Provides methods to create new DataPilot fields where some or all items of this DataPilot field are grouped in some way. More...

`import"XDataPilotFieldGrouping.idl";`

Inheritance diagram for XDataPilotFieldGrouping:

## Public Member Functions
XDataPilotField | createNameGroup ([in] sequence< string > aItems) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a new DataPilot field which contains a group containing the given DataPilot field items (members). More...
XDataPilotField | createDateGroup ([in] DataPilotFieldGroupInfo aInfo) raises ( com::sun::star::lang::IllegalArgumentException )
| Groups the members of this field by dates, according to the passed settings. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Provides methods to create new DataPilot fields where some or all items of this DataPilot field are grouped in some way.

See also
  DataPilotField

## Member Function Documentation

## ◆ createDateGroup()

XDataPilotField createDateGroup | ( | [in] DataPilotFieldGroupInfo | aInfo | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Groups the members of this field by dates, according to the passed settings.

If this field is already grouped by dates, a new DataPilot field will be created and returned. If this field is not grouped at all, the date grouping is performed inside of this field (no new field will be created). There must not be any other grouping (by member names or by numeric ranges), otherwise an exception is thrown.

Parameters

  aInfo | contains the information how to group the items of the field. The members of this struct have to fulfill the following requirements: If the member DataPilotFieldGroupInfo::HasAutoStart is set to `FALSE`, then the value of DataPilotFieldGroupInfo::Start must be a floating-point value representing a valid date/time value (if DataPilotFieldGroupInfo::HasAutoStart is set to `TRUE`, the value of DataPilotFieldGroupInfo::Start will be ignored). If the member DataPilotFieldGroupInfo::HasAutoEnd is set to `FALSE`, then the value of DataPilotFieldGroupInfo::End must be a floating-point value representing a valid date/time value( if DataPilotFieldGroupInfo::HasAutoEnd is set to `TRUE`, the value of DataPilotFieldGroupInfo::End will be ignored). If the members DataPilotFieldGroupInfo::HasAutoStart and DataPilotFieldGroupInfo::HasAutoEnd are set to `FALSE` both, then the value of DataPilotFieldGroupInfo::Start must be less than or equal to the value of DataPilotFieldGroupInfo::End. The member DataPilotFieldGroupInfo::HasDateValues must be set to `TRUE`. The member DataPilotFieldGroupInfo::Step must be zero, unless ranges of days have to be grouped (see the description of the member GroupBy below), in that case the value must be greater than or equal to 1 and less than or equal to 32767. The fractional part of the value will be ignored. The member DataPilotFieldGroupInfo::GroupBy must contain exactly one of the flags from DataPilotFieldGroupBy. A combination of several flags will not be accepted. If DataPilotFieldGroupBy::DAYS is specified, the value of the member DataPilotFieldGroupInfo::Step will specify the type of day grouping (see above). If that value is zero, grouping is performed on all days of the year (e.g. the members containing the 1st of January of any year are grouped together). If that value is greater than zero, grouping is done on ranges of days, and the value specifies the number of days grouped into one range (e.g. a value of 7 groups the members of a week into a range). The contents of the member DataPilotFieldGroupInfo::SourceField will be ignored. The contents of the member DataPilotFieldGroupInfo::Groups will be ignored.

Returns
  the new created field if there is one created. `NULL` is returned, if date grouping is performed inside this field (i.e. this field was not grouped by dates before).

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the passed struct does not contain valid settings as described, or if this field is already grouped by member names or numeric ranges.

See also
  DataPilotField

## ◆ createNameGroup()

XDataPilotField createNameGroup | ( | [in] sequence< string > | aItems | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Creates a new DataPilot field which contains a group containing the given DataPilot field items (members).

It is possible to create multiple groups by calling this method several times at the same DataPilot field. On subsequent calls, the DataPilot field created at the first call is used to insert the new groups.

The collection of groups can be accessed via the DataPilotField::GroupInfo property. The returned struct contains the sequence of groups in its member DataPilotFieldGroupInfo::Groups.

Parameters

  aItems | a sequence containing the names of the items (members) which will be part of the new group. Must be names of items contained in the current field.

Returns
  the new created field if there is one created on the first call of this method. `NULL` is returned on subsequent calls.

See also
  DataPilotField
  DataPilotFieldGroupInfo

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XDataPilotFieldGrouping.idl